Add patch to fix gcc version detection in configure.ac.